Bug 131556 - system-config-network lacks support for pppoatm
system-config-network lacks support for pppoatm
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
bzcl34nup
: Reopened
Depends On: 131555
Blocks: 87718 131554
  Show dependency treegraph
 
Reported: 2004-09-02 05:40 EDT by David Woodhouse
Modified: 2009-07-14 12:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:57:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2004-09-02 05:40:15 EDT
We seem to assume PPPoE for xDSL connections. In the UK at least, the
provider tends to give you a USB DSL modem and expect you to use PPP
over ATM. We should make initscripts support that.

Why are we using a userspace pppoe helper rather than the pppd plugin,
btw?
Comment 1 Bill Nottingham 2004-09-02 15:48:54 EDT
Userspace pppoe helper predates pppd plugin, support hasn't been
changed yet. (That may be in bugzilla elsewhere.)
Comment 2 Ngo Than 2004-09-03 07:48:26 EDT
i think this feature which could be added in next fc4.
David, but i see a problem here with the firmware, which we probably
cannot include in our distri.

Comment 3 David Woodhouse 2004-10-07 07:26:57 EDT
In fact it was a trivial change to make rp-pppoe's /sbin/adsl-connect
script handle the pppoatm plugin, as it's already capable of handling
the pppoe plugin anyway. Fixed in rp-pppoe-3.5-20.

Now we need the pretty config tools to let you set it up too -- but
that really is one for FC4.
Comment 4 David Woodhouse 2004-10-07 07:39:02 EDT
Reassigning to system-config-network, which should allow users to
configure PPPoATM xDSL links, and which should be using the pppd
plugin for PPPoE too.

for PPPoE I think it's sufficient just to set LINUX_PLUGIN=rp-pppoe.so
when we set up a new device.

For PPPoATM, we need to set LINUX_PLUGIN=pppoatm.so, and also numeric
arguments VCI and VPI in the config file. These are "Virtual Channel
Identifier", "Virtual Path Identifier" resp.

Since VCI/VPI are a per-ISP thing, it would be nice to have a list of
known settings, and also to let the user enter them manually if their
ISP isn't known. In fact we could even choose between PPPoE and PPPoA
that way. For data see
http://gateway.bedroom.gen.nz/~clive/adsl/thefiles/CnxADSL_v.html
http://www.linux-usb.org/SpeedTouch/faq/index.html#q12
and you can add "UK, Andrews and Arnold" with VPI 0, VCI 38.
Comment 5 Nicola Soranzo 2005-01-11 13:15:37 EST
A good howto for this:
http://linux-usb.sourceforge.net/SpeedTouch/fedora-core-3.html
Comment 6 David Woodhouse 2005-01-11 14:08:48 EST
That advocates setting up the pppd peer file manually and invoking
pppd manually -- I fixed the rp-pppoe scripts so that it ought to work
through the initscripts properly -- see the last part of
ftp://ftp.infradead.org/pub/dsl/README (the first part isn't needed
any more now that the kernel driver is merged anyway).
Comment 7 David Woodhouse 2005-01-19 05:57:30 EST
Support for PPPoE over ATM instead of over a physical Ethernet device is also
now included in FC4. We still lack system-config-network support. The existing
'Ethernet device' selection needs to be changed to allow _either_ Ethernet
devices, or 'ATM/DSL modem'. In the case where a DSL modem is selected, the user
should enter the VCI and VPI and the protocol (PPPoA/PPPoE) which is generally
in the welcome pack received from the ISP. Those end up in the ifcfg-xxx config
file as 

VCI=xxx
VPI=yyy

For PPPoA we add LINUX_PLUGIN=pppoatm.so
For PPPoE we add LINUX_PLUGIN=rp-pppoe.so and BR2684DEV=0

That's enough for supporting a single DSL modem per system -- we _could_ perhaps
go a bit further and poke in /proc/net/atm/devices and find a way of adding the
device MAC to the VCI/VPI information to allow multiple modems, but I don't
think that's necessary for FC4.
Comment 8 Bug Zapper 2008-04-03 11:38:20 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 9 Bug Zapper 2008-05-06 20:00:26 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp
Comment 10 David Woodhouse 2008-05-07 04:44:02 EDT
It's still missing in system-config-network.
Comment 11 Bug Zapper 2008-05-13 21:56:48 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2009-06-09 17:58:26 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2009-07-14 12:57:54 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.